version: "3.8"

services:
  frontend:
    container_name: sakura_frontend
    build:
      context: .
      dockerfile: ./docker/Dockerfile
    ports:
      - "4601:3000"
    volumes:
      - .:/app
      - /app/node_modules
    extra_hosts:
      - "host.docker.internal:host-gateway"
    networks:
      - sakura
    restart: unless-stopped

networks:
  sakura:
    external: true
    name: sakura-power-backend_sakura
